# List contacts

{% openapi src="<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>" path="/workspaces/{workspaceId}/contacts" method="get" %}
<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>
{% endopenapi %}

## Examples

Let's establish some of our data that will be used in the following examples:

* **Workspace ID**: a1405560-c8d3-4b1a-877d-3f449ad95352
* **AccessKey:** abcd

### List your contacts

In this example, we're listing all contacts from a given workspace.

{% tabs %}
{% tab title="Request" %}

```bash
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "results": [
    {
      "id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
      "computedDisplayName": "",
      "identifierCount": 0,
      "attributes": {
        "initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
        "timezone": "UTC"
      },
      "createdAt": "2024-11-26T15:00:00.000Z",
      "updatedAt": "2024-11-26T15:00:00.000Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}
